Bug 253584 - audio/taglib: Update to 1.12
Summary: audio/taglib: Update to 1.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Matthias Andree
URL: https://github.com/taglib/taglib/rele...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-17 13:13 UTC by Daniel Engberg
Modified: 2021-03-12 18:51 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback-


Attachments
Patch for taglib (1.70 KB, patch)
2021-02-17 13:13 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-02-17 13:13:41 UTC
Created attachment 222526 [details]
Patch for taglib

Update taglib to 1.12

Compile and tested on FreeBSD 13.0-BETA2 (amd64) (make, make check-plist, make test)
Poudriere testport OK 12.2-RELEASE (amd64) (with and without RCC)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Automation User 2021-03-04 00:33:18 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/265091002
Comment 2 Matthias Andree freebsd_committer 2021-03-12 10:50:41 UTC
maintainer timeout
Comment 3 Matthias Andree freebsd_committer 2021-03-12 11:04:31 UTC
Does this require PORTREVISON bumps on its downstreams (= ports that depend on taglib) because we rename a shlib in pkg-plist?
Comment 4 Dima Panov freebsd_committer 2021-03-12 12:49:27 UTC
(In reply to Matthias Andree from comment #3)
Nope, this is minor version change without ABI breaks.
Comment 5 commit-hook freebsd_committer 2021-03-12 18:51:30 UTC
A commit references this bug:

Author: mandree
Date: Fri Mar 12 18:50:45 UTC 2021
New revision: 568195
URL: https://svnweb.freebsd.org/changeset/ports/568195

Log:
  audio/taglib: update to 1.12 release from beta

  Changelog: https://taglib.org/#taglib-112-release---feb-16-2021

  PR:		253584
  Submitted by:	Daniel Engberg
  Approved by:	jhale@ (maintainer timeout 23 days)

Changes:
  head/audio/taglib/Makefile
  head/audio/taglib/distinfo
  head/audio/taglib/pkg-plist